Create Profile
Gumlet provides the functionality of creating multiple video assets using the same set of parameters. A Video profile is a set of parameters that can be referenced/used while creating a video as a single parameter.
- Type: string enumformatrequired
Transcode and deliver the asset in the requested format. The options can be one of
ABR(HLS + DASH) andMP4.values- A
B R - M
P4
- Type: stringnamerequired
Profile name or identifier.
- Type: objectanimated
_gif Create an animated GIF from a video.
- Type: booleanaudio
_only This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case,This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case, video transformation and thumbnails/animated GIFs would not be created. Default:
false - Type: objectcrop
This transformation can be used to crop the video by defining a rectangular area within the dimensions of the output video.
- Type: booleanenable
_drm Enable DRM encryption for transcoded videos. Gumlet supports Widevine and Fairplay DRMs.
- Type: objectgenerate
_subtitles - Type: stringheight
Resize video with the given height. Can be an absolute value in pixels or a percentage value with the
%suffix. Specified values greater than the original asset height will be ignored. Only applicable when specifiedformatisMP4. - Type: objectimage
_overlay Image overlay can be used to brand a video or add a visual label in the form of an image.
- Type: booleanmp4
_access Creates
mp4version for download purpose in case ofMPEG-DASHorHLSdelivery format. Default:false - Type: objectpad
This transformation can be used to add padding to the video.
- Type: booleanper
_title _encoding Gumlet analyzes each input video on a wide range of visual aspects. Based on the analysis, it chooses a unique set of transcoding options for processing the video. This ensures that the output video is of optimal size and best quality. Default:
true
- application/json
- application/json
- application/json
curl https://api.gumlet.com/v1/video/profiles \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "Gumlet-Profile-1",
"format": "ABR",
"width": "",
"height": "",
"resolution": "",
"crop": {
"horizontal_margin": "",
"vertical_margin": "",
"width": "",
"height": ""
},
"pad": {
"top": "",
"left": "",
"bottom": "",
"right": "",
"color": ""
},
"trim": {
"start_offset": 1,
"end_offset": 1,
"duration": 1
},
"image_overlay": {
"url": "",
"horizontal_margin": "",
"vertical_margin": "",
"horizontal_align": "",
"vertical_align": "",
"width": "",
"height": ""
},
"text_overlay": {
"text": "",
"horizontal_align": "",
"vertical_align": "",
"horizontal_margin": "",
"vertical_margin": "",
"color": "",
"font": "",
"font_size": "",
"opacity": "",
"box": true,
"box_color": "",
"box_opacity": "",
"box_border": ""
},
"animated_gif": {
"start_offset": "",
"end_offset": "",
"width": "",
"height": "",
"fps": ""
},
"generate_subtitles": {
"transcribe": true,
"subtitle_languages": ""
},
"mp4_access": true,
"per_title_encoding": true,
"process_low_resolution_input": true,
"audio_only": true,
"enable_drm": true
}'
{
"profile_id": "61921fb10822a81d955d1730",
"name": "Gumlet-Profile-1",
"transformations": {
"format": "hls",
"audio_codec": [
"aac"
],
"video_codec": [
"libx264"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": false,
"per_title_encoding": true
},
"created_at": 1636966321742
}
